Update SQL workbook name

Modifying the name of the SQL saved record will not modify the SQL content or version saved therein.

POST https://moi.matrixorigin.cn/newmoi/workbook/update

Preparation before calling

Prepare your personal access token, workspace ID, save record ID, and new name with update permissions. $AI_STUDIO_API_KEY is the personal access token used as the value of the X-API-Key request header; $WORKSPACE_ID is the target workspace ID used as the value of the X-Workspace-ID request header. You can first View saved SQL to obtain workbook_id.

$WORKBOOK_ID in the example below is the ID of the SQL saved record and $WORKBOOK_NAME is the new name.

Request body

Replace caller-specific values in the example with actual values.

workbook_idstringRequired
The ID of the SQL saved record.
namestringRequired
New name.

Request example

curl -X POST "https://moi.matrixorigin.cn/newmoi/workbook/update" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H 'Content-Type: application/json' \
  -d "{
    \"workbook_id\": \"$WORKBOOK_ID\",
    \"name\": \"$WORKBOOK_NAME\"
  }"

Successful response

data is empty on success. You can then View saved SQL confirm the new name.

{
  "code": 200,
  "data": null
}

The response fields are as follows.

Field

Type

Description

data

null

Fixed to null when the update is successful.

Error response

codeinteger or string
Error code or status.
messagestring
Error message.

Error response example

{
  "code": 404,
  "message": "SQL 工作簿不存在"
}

Follow-up operations

Use the same resource identifier View saved SQL version content to confirm the update result.

Last updated on